Bug 28204 - Table highlighting is broken at the cataloguing/additem.pl
Summary: Table highlighting is broken at the cataloguing/additem.pl
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Peter Vashchuk
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-23 12:56 UTC by Peter Vashchuk
Modified: 2021-06-21 12:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.01


Attachments
Look of the table with highlighted row (36.71 KB, image/png)
2021-04-23 12:56 UTC, Peter Vashchuk
Details
Bug 28204: Fix table highlighting (1.93 KB, patch)
2021-05-20 13:14 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 28204: Fix table highlighting (1.93 KB, patch)
2021-05-24 13:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28204: Fix table highlighting (1.98 KB, patch)
2021-05-24 13:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28204: Fix table highlighting (1.98 KB, patch)
2021-05-24 14:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28204: Fix table highlighting (2.03 KB, patch)
2021-05-24 14:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28204: Fix table highlighting on the items table (2.08 KB, patch)
2021-06-04 10:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Vashchuk 2021-04-23 12:56:18 UTC
Created attachment 120092 [details]
Look of the table with highlighted row

Highlighting is broken at the /cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX
Every odd row of the table doesn't get highlighted with the yellow color when you try to edit it, meanwhile every even row does get highlighted as supposed to.

How to reproduce:
1) Head over to the /cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX, where XXXX is id of some bilbio record that has more than one biblio item.
2) Press the "Action" button of the first (or any other odd numbered) biblion item, and from the dropdown menu select "edit" option.
3) Notice that it doesn't highlight it with yellow color.
4) Now do the same but with second biblio item (or any even numbered item).
5) Notice that it highlights it with the yellow color.
Comment 1 Peter Vashchuk 2021-05-20 13:14:05 UTC
Created attachment 121242 [details] [review]
Bug 28204: Fix table highlighting

Fix table highlighting at 
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX
Every odd row of the table didn't get highlighted with the yellow color 
when you tried to edit it previously, this patch fixes that. 
That happened because every odd row had different coloring style that 
was overwriting yellow highlight.

How to reproduce:
1) Head over to the 
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX, 
where XXXX is id of some bilbio record that has more than one 
biblio item.
2) Press the "Action" button of the first (or any other odd numbered) 
biblion item, and from the dropdown menu select "edit" option.
3) Notice that it doesn't highlight it with yellow color.
4) Now do the same but with second biblio item (or any even numbered 
item).
5) Notice that it highlights it with the yellow color.
6) Apply the patch. Do yarn build to compile css.
7) Make sure that every row of the table that you edit gets properly 
highlighted with the yellow color.
Comment 2 Katrin Fischer 2021-05-24 13:58:36 UTC
Created attachment 121333 [details] [review]
Bug 28204: Fix table highlighting

Fix table highlighting at
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX
Every odd row of the table didn't get highlighted with the yellow color
when you tried to edit it previously, this patch fixes that.
That happened because every odd row had different coloring style that
was overwriting yellow highlight.

How to reproduce:
1) Head over to the
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX,
where XXXX is id of some bilbio record that has more than one
biblio item.
2) Press the "Action" button of the first (or any other odd numbered)
biblion item, and from the dropdown menu select "edit" option.
3) Notice that it doesn't highlight it with yellow color.
4) Now do the same but with second biblio item (or any even numbered
item).
5) Notice that it highlights it with the yellow color.
6) Apply the patch. Do yarn build to compile css.
7) Make sure that every row of the table that you edit gets properly
highlighted with the yellow color.
Comment 3 Katrin Fischer 2021-05-24 13:59:38 UTC
Created attachment 121334 [details] [review]
Bug 28204: Fix table highlighting

Fix table highlighting at
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX
Every odd row of the table didn't get highlighted with the yellow color
when you tried to edit it previously, this patch fixes that.
That happened because every odd row had different coloring style that
was overwriting yellow highlight.

How to reproduce:
1) Head over to the
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX,
where XXXX is id of some bilbio record that has more than one
biblio item.
2) Press the "Action" button of the first (or any other odd numbered)
biblion item, and from the dropdown menu select "edit" option.
3) Notice that it doesn't highlight it with yellow color.
4) Now do the same but with second biblio item (or any even numbered
item).
5) Notice that it highlights it with the yellow color.
6) Apply the patch. Do yarn build to compile css.
7) Make sure that every row of the table that you edit gets properly
highlighted with the yellow color.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-05-24 14:00:20 UTC
A really odd bug - I can confirm it is fixed by the patch, but laving as NSO as I have asked Owen if he could take a look at the CSS.
Comment 5 Owen Leonard 2021-05-24 14:08:09 UTC
Created attachment 121335 [details] [review]
Bug 28204: Fix table highlighting

Fix table highlighting at
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX
Every odd row of the table didn't get highlighted with the yellow color
when you tried to edit it previously, this patch fixes that.
That happened because every odd row had different coloring style that
was overwriting yellow highlight.

How to reproduce:
1) Head over to the
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX,
where XXXX is id of some bilbio record that has more than one
biblio item.
2) Press the "Action" button of the first (or any other odd numbered)
biblion item, and from the dropdown menu select "edit" option.
3) Notice that it doesn't highlight it with yellow color.
4) Now do the same but with second biblio item (or any even numbered
item).
5) Notice that it highlights it with the yellow color.
6) Apply the patch. Do yarn build to compile css.
7) Make sure that every row of the table that you edit gets properly
highlighted with the yellow color.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Katrin Fischer 2021-05-24 14:12:44 UTC
Created attachment 121336 [details] [review]
Bug 28204: Fix table highlighting

Fix table highlighting at
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX
Every odd row of the table didn't get highlighted with the yellow color
when you tried to edit it previously, this patch fixes that.
That happened because every odd row had different coloring style that
was overwriting yellow highlight.

How to reproduce:
1) Head over to the
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX,
where XXXX is id of some bilbio record that has more than one
biblio item.
2) Press the "Action" button of the first (or any other odd numbered)
biblion item, and from the dropdown menu select "edit" option.
3) Notice that it doesn't highlight it with yellow color.
4) Now do the same but with second biblio item (or any even numbered
item).
5) Notice that it highlights it with the yellow color.
6) Apply the patch. Do yarn build to compile css.
7) Make sure that every row of the table that you edit gets properly
highlighted with the yellow color.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2021-06-04 10:11:25 UTC
Created attachment 121626 [details] [review]
Bug 28204: Fix table highlighting on the items table

Fix table highlighting at
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX
Every odd row of the table didn't get highlighted with the yellow color
when you tried to edit it previously, this patch fixes that.
That happened because every odd row had different coloring style that
was overwriting yellow highlight.

How to reproduce:
1) Head over to the
/cgi-bin/koha/cataloguing/additem.pl?biblionumber=XXXX,
where XXXX is id of some bilbio record that has more than one
biblio item.
2) Press the "Action" button of the first (or any other odd numbered)
biblion item, and from the dropdown menu select "edit" option.
3) Notice that it doesn't highlight it with yellow color.
4) Now do the same but with second biblio item (or any even numbered
item).
5) Notice that it highlights it with the yellow color.
6) Apply the patch. Do yarn build to compile css.
7) Make sure that every row of the table that you edit gets properly
highlighted with the yellow color.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

JD Amended commit title
Comment 8 Jonathan Druart 2021-06-14 14:22:06 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2021-06-14 14:22:46 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 10 Kyle M Hall 2021-06-18 11:10:18 UTC
Pushed to 21.05.x for 21.05.01
Comment 11 Fridolin Somers 2021-06-21 12:33:16 UTC
> 3) Notice that it doesn't highlight it with yellow color.
Without patch, problem seems not to affect 20.11.x